Collection: Combination Units

American Biotech Supply provides a full range of temperature controlled equipment to customers across the healthcare, laboratory and clinical research, pharmaceutical, and industrial segments.

-
10 Cu.Ft Total Capacity, 1 Solid/1 Glass Ext.Doors (-30) Premier Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC1030G
Regular price $3,917.00Regular priceUnit price / perSale price $3,917.00 -
10 Cu.Ft Total Capacity, 2 Solid Ext.Doors Premier Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC1020
Regular price $3,712.00Regular priceUnit price / perSale price $3,712.00 -
14 Cu. Ft. Hydrocarbon, 2 Exterior Solid Doors, Auto Defrost General Purpose Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC-15A
Regular price $2,430.00Regular priceUnit price / perSale price $2,430.00 -
10 Cu.Ft Total Capacity, 1 Solid/1 Glass Ext.Doors Premier Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC1020G
Regular price $3,672.00Regular priceUnit price / perSale price $3,672.00 -
10 Cu.Ft Total Capacity, 2 Solid Ext.Doors (-30) Premier Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC1030
Regular price $3,957.00Regular priceUnit price / perSale price $3,957.00 -
10 Cu.Ft Total Capacity, 2 Solid Ext.Doors (-40) Premier Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC1040
Regular price $4,294.00Regular priceUnit price / perSale price $4,294.00 -
10 Cu.Ft Total Capacity, 1 Solid/1 Glass Ext.Doors (-40) Premier Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC1040G
Regular price $4,255.00Regular priceUnit price / perSale price $4,255.00 -
12 Cu.Ft Total Capacity, 2 Solid Ext.Doors Premier Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC12
Regular price $4,462.00Regular priceUnit price / perSale price $4,462.00 -
12 Cu.Ft Total Capacity, 2 Solid Ext.Doors AUTO DEFROST FREEZER Premier Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC12A
Regular price $4,642.00Regular priceUnit price / perSale price $4,642.00 -
12 Cu.Ft Total Capacity, 2 Ext.Doors (Solid & Glass) Premier Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC12G
Regular price $4,462.00Regular priceUnit price / perSale price $4,462.00 -
7 Cu.Ft Total Capacity, 2 Ext.Doors (Solid & Glass) AUTO DEFROST FREEZER Premier Combination Refrigerator/Freezer. Warranty: 2/5
NOR-ABT-HC-RFC7A
Regular price $3,164.00Regular priceUnit price / perSale price $3,164.00 -
7 Cu.Ft Total Capacity, 2 Ext.Doors (Solid & Glass) Premier Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC7
Regular price $2,984.00Regular priceUnit price / perSale price $2,984.00 -
20 Cu.Ft Total Capacity, 2 Ext. Doors (Solid) AUTO DEFROST FREEZER Standard Combination Refrigerator/Freezer. Warranty: 2/5
NOR-ABT-HC-RFC20A
Regular price $2,697.00Regular priceUnit price / perSale price $2,697.00 -
12 Cu.Ft Total Capacity, 2 Ext.Doors (Solid & Glass) AUTO DEFROST FREEZER Premier Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC12GA
Regular price $4,642.00Regular priceUnit price / perSale price $4,642.00 -
7 Cu.Ft Total Capacity, 2 Ext.Doors (Solid & Solid) Premier Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC7S
Regular price $3,053.00Regular priceUnit price / perSale price $3,053.00 -
7 Cu.Ft Total Capacity, 2 Ext.Doors (Solid & Solid) AUTO DEFROST FREEZER Premier Combination Refrigerator/Freezer Warranty: 2/5
NOR-ABT-HC-RFC7SA
Regular price $3,210.00Regular priceUnit price / perSale price $3,210.00